---
title: Full page zoom
slug: Mozilla/Firefox/Releases/3/Full_page_zoom
tags:
  - Extensions
  - Firefox 3
  - XUL
---
<div>{{FirefoxSidebar}}</div><p>{{ Gecko_minversion_header("1.9") }}</p>

<p>Full page zoom (or just fullZoom) is a new feature in <a href="/en/Firefox_3_for_developers" title="en/Firefox_3_for_developers">Firefox 3</a>.</p>

<h3 id="Example_.28XUL:browser.29">Example (XUL:browser)</h3>

<p>The following example demonstrates the use for the current focused browser window. This is the typical usage for a Firefox extension.</p>

<pre>var zoom = ZoomManager.getZoomForBrowser(gBrowser.selectedBrowser);
ZoomManager.enlarge();
ZoomManager.setZoomForBrowser(gBrowser.selectedBrowser, ZoomManager.MIN);
</pre>

<h3 id="Example_.28XUL:iframe.29">Example (XUL:iframe)</h3>

<p>Note: This is probably out of date.</p>

<p>You may use the fullZoom feature for a <a href="/en/XUL/iframe" title="en/XUL/iframe">XUL:iframe</a> as well. However, because an iframe doesn't have a markupDocumentViewer property, we need to get that first:</p>

<pre>var zoom = 1.5;
var iframe = document.getElementById("authorFrame");
var contViewer = iframe.docShell.contentViewer;
var docViewer = contViewer.QueryInterface(Components.interfaces.nsIMarkupDocumentViewer);
docViewer.fullZoom = zoom;
</pre>

<h3 id="References">References</h3>

<ul>
 <li>Page zoom extension by Ted Mielczarek <a class="external" href="http://ted.mielczarek.org/code/mozilla/fullpagezoom.xpi">fullpagezoom.xpi</a> for latest Firefox 3.0 nightlies</li>
 <li><a class="link-https" href="https://addons.mozilla.org/en-US/firefox/addon/6489">Glazoom extension</a> by Daniel Glazman for Firefox 3.0</li>
 <li>The <a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=4821">bugzilla bug</a> about fullZoom.</li>
 <li>{{ Interface("nsIMarkupDocumentViewer") }} Interface documentation.</li>
</ul>
